<div class="track">
  <div class="track__index">
    <img (click)="playSong(track.preview_url)" src="assets/icons/play-bar/play.png" alt="play button">
    <p> {{ index }}</p>
  </div>
  <img class="track__cover"
    [src]="track.album.images.length > 0? track.album.images[0].url : 'assets/default_song.png' "
    alt="Caratula de la cancion">
  <div class="track__song-info">
    <h2> {{ track.name }} </h2>
    <a> {{ track.artists[0] && track.artists[0].name }} </a>
  </div>
  <p class="track__album"> {{ track.album.name }} </p>
  <figure class="track__fav">
    <img src="assets/icons/me-gusta.png" alt="icono de favorito">
  </figure>
  <p> {{ track.duration_ms | date:'mm:ss' }} </p>
</div>
